import time
from PIL import Image, ImageDraw

def testScreen(x=1280, y=720, image=None, stripeList = ["red", "green", "blue", "orange", "purple"]):
    if image == None:
        image = Image.new("RGB", (x, y))

    draw = ImageDraw.Draw(image)

    for i, stripe in enumerate(stripeList):
        draw.rectangle((
            (x/len(stripeList)) * i, 0,
            (x/len(stripeList)) * (i + 1), x),
            fill=stripe)

    return image

if __name__ == '__main__':
    masterList = ["red", "white", "blue", "green", "orange", "purple", "cyan", "magenta"]
    while True:
        for i in range(len(masterList)):
            testScreen(stripeList=masterList[i:]).save('Test-Pattern.png')
            time.sleep(1)
